/************************************************************************/
/* Projet : UML - CORBA							*/
/* Base : pubs								*/
/* Tables : test ...							*/
/* Description : des tests ...						*/
/*									*/
/* Auteur : D.R.				    			*/
/* Date de creation : 02/06/2001					*/
/* Date de mise a jour : 						*/
/************************************************************************/

use pubs
GO

if exists (select * from sysobjects where id = object_id('dbo.sp_testCreate') and sysstat & 0xf = 4)
	drop procedure dbo.sp_testCreate
GO

create proc sp_testCreate
as
if exists (select * from sysobjects where id = object_id('dbo.BANQUE') and sysstat & 0xf = 3)
	drop table dbo.BANQUE

	create table BANQUE(NOM_COMPTE CHAR(20), MONTANT Integer)
	
GO

if exists (select * from sysobjects where id = object_id('dbo.sp_testInsert') and sysstat & 0xf = 4)
	drop procedure dbo.sp_testInsert
GO

create proc sp_testInsert (@nom varchar(20),
		           @montant integer)
as

insert into banque(nom_compte,montant) values(@nom,@montant)
	
GO


if exists (select * from sysobjects where id = object_id('dbo.sp_testInsert2') and sysstat & 0xf = 4)
	drop procedure dbo.sp_testInsert2
GO

create proc sp_testInsert2 (@nom varchar(20),
			    @montant integer)
as

insert into banque(nom_compte,montant) values(@nom,@montant)
	
GO

select * from banque
if exists (select * from sysobjects where id = object_id('dbo.sp_testSelect') and sysstat & 0xf = 4)
	drop procedure dbo.sp_testSelect
GO

create proc sp_testSelect (@nom varchar(20)='')
as

if @nom is not null 
	select * from banque where nom_compte = @nom
else
	select * from banque
	
GO

if exists (select * from sysobjects where id = object_id('dbo.sp_testUpdate') and sysstat & 0xf = 4)
	drop procedure dbo.sp_testUpdate
GO

create proc sp_testUpdate (@nom varchar(20),
		           @montant integer)
as

update banque set montant = @montant where nom_compte = @nom
	
GO

if exists (select * from sysobjects where id = object_id('dbo.sp_testDelete') and sysstat & 0xf = 4)
	drop procedure dbo.sp_testDelete
GO

create proc sp_testDelete (@montant integer)
as

delete from banque where montant > @montant
	
GO
